Index: trunk/SophyaPI/DemoPIApp/exmoddrw.cc
===================================================================
--- trunk/SophyaPI/DemoPIApp/exmoddrw.cc	(revision 2613)
+++ trunk/SophyaPI/DemoPIApp/exmoddrw.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaPI/DemoPIApp/exmodule.cc
===================================================================
--- trunk/SophyaPI/DemoPIApp/exmodule.cc	(revision 2613)
+++ trunk/SophyaPI/DemoPIApp/exmodule.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaPI/DemoPIApp/user.cc
===================================================================
--- trunk/SophyaPI/DemoPIApp/user.cc	(revision 2613)
+++ trunk/SophyaPI/DemoPIApp/user.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <string>
 
+#include "sopnamsp.h"
 #include "nobjmgr.h"
 
Index: trunk/SophyaPI/PI/Tests/midasitt.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/midasitt.cc	(revision 2613)
+++ trunk/SophyaPI/PI/Tests/midasitt.cc	(revision 2615)
@@ -6,4 +6,5 @@
 #include <iostream.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 
Index: trunk/SophyaPI/PI/Tests/pilinetst.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/pilinetst.cc	(revision 2613)
+++ trunk/SophyaPI/PI/Tests/pilinetst.cc	(revision 2615)
@@ -6,4 +6,5 @@
 #include <iostream.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 #include PIAPP_H
Index: trunk/SophyaPI/PI/Tests/pist.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/pist.cc	(revision 2613)
+++ trunk/SophyaPI/PI/Tests/pist.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <iostream.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 #include PIAPP_H
Index: trunk/SophyaPI/PI/Tests/pit0.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/pit0.cc	(revision 2613)
+++ trunk/SophyaPI/PI/Tests/pit0.cc	(revision 2615)
@@ -6,4 +6,5 @@
 
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 
Index: trunk/SophyaPI/PI/Tests/pit1.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/pit1.cc	(revision 2613)
+++ trunk/SophyaPI/PI/Tests/pit1.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <iostream.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 #include PIAPP_H
Index: trunk/SophyaPI/PI/Tests/pitcons.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/pitcons.cc	(revision 2613)
+++ trunk/SophyaPI/PI/Tests/pitcons.cc	(revision 2615)
@@ -7,4 +7,5 @@
 #include <Xm/Xm.h>  // Pour *DBG*
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 
Index: trunk/SophyaPI/PI/Tests/pitgr.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/pitgr.cc	(revision 2613)
+++ trunk/SophyaPI/PI/Tests/pitgr.cc	(revision 2615)
@@ -6,4 +6,5 @@
 #include <iostream.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 
Index: trunk/SophyaPI/PI/Tests/pitst.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/pitst.cc	(revision 2613)
+++ trunk/SophyaPI/PI/Tests/pitst.cc	(revision 2615)
@@ -7,4 +7,5 @@
 /*   C'est ecrit n'importe comment !     */
  
+#include "sopnamsp.h"
 #include "pisysdep.h"
 
Index: trunk/SophyaPI/PI/Tests/xp0.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/xp0.cc	(revision 2613)
+++ trunk/SophyaPI/PI/Tests/xp0.cc	(revision 2615)
@@ -4,4 +4,5 @@
 
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 
Index: trunk/SophyaPI/PI/Tests/xp1.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/xp1.cc	(revision 2613)
+++ trunk/SophyaPI/PI/Tests/xp1.cc	(revision 2615)
@@ -3,4 +3,5 @@
 #include <iostream.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 
Index: trunk/SophyaPI/PI/Tests/xp2.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/xp2.cc	(revision 2613)
+++ trunk/SophyaPI/PI/Tests/xp2.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <iostream.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 #include PIAPP_H
Index: trunk/SophyaPI/PI/Tests/xp3.cc
===================================================================
--- trunk/SophyaPI/PI/Tests/xp3.cc	(revision 2613)
+++ trunk/SophyaPI/PI/Tests/xp3.cc	(revision 2615)
@@ -6,4 +6,5 @@
 #include <iostream.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 
Index: trunk/SophyaPI/PI/lut.cc
===================================================================
--- trunk/SophyaPI/PI/lut.cc	(revision 2613)
+++ trunk/SophyaPI/PI/lut.cc	(revision 2615)
@@ -4,4 +4,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PI/parradapter.cc
===================================================================
--- trunk/SophyaPI/PI/parradapter.cc	(revision 2613)
+++ trunk/SophyaPI/PI/parradapter.cc	(revision 2615)
@@ -7,4 +7,5 @@
 
 // #include "ctimer.h"   Pour mesure TCPU 
+#include "sopnamsp.h"
 #include "parradapter.h"
 
Index: trunk/SophyaPI/PI/pi3ddrw.cc
===================================================================
--- trunk/SophyaPI/PI/pi3ddrw.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pi3ddrw.cc	(revision 2615)
@@ -7,4 +7,5 @@
 #include <math.h>
 
+#include "sopnamsp.h"
 #include "pi3ddrw.h"
 
Index: trunk/SophyaPI/PI/pi3dwdg.cc
===================================================================
--- trunk/SophyaPI/PI/pi3dwdg.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pi3dwdg.cc	(revision 2615)
@@ -7,4 +7,5 @@
 #include <math.h>
 
+#include "sopnamsp.h"
 #include "pi3dwdg.h"
 #include "pidrwtools.h"
Index: trunk/SophyaPI/PI/piapplgen.cc
===================================================================
--- trunk/SophyaPI/PI/piapplgen.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piapplgen.cc	(revision 2615)
@@ -52,4 +52,5 @@
 
 
+#include "sopnamsp.h"
 #include "piapplgen.h"
 
Index: trunk/SophyaPI/PI/piapplmac.cc
===================================================================
--- trunk/SophyaPI/PI/piapplmac.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piapplmac.cc	(revision 2615)
@@ -1,3 +1,4 @@
 
+#include "sopnamsp.h"
 #include "piapplmac.h"
 #include "pippmenubar.h"
Index: trunk/SophyaPI/PI/piapplx.cc
===================================================================
--- trunk/SophyaPI/PI/piapplx.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piapplx.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <X11/StringDefs.h>
 #include <Xm/Xm.h>
+#include "sopnamsp.h"
 #include "piapplx.h"
 #include "picontainerx.h"
Index: trunk/SophyaPI/PI/piaxes.cc
===================================================================
--- trunk/SophyaPI/PI/piaxes.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piaxes.cc	(revision 2615)
@@ -4,4 +4,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaPI/PI/piaxestools.cc
===================================================================
--- trunk/SophyaPI/PI/piaxestools.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piaxestools.cc	(revision 2615)
@@ -7,4 +7,5 @@
 #include <iostream>
 
+#include "sopnamsp.h"
 #include "piaxes.h"
 #include "piaxestools.h"
Index: trunk/SophyaPI/PI/pibargraph.cc
===================================================================
--- trunk/SophyaPI/PI/pibargraph.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pibargraph.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // (C) LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PI/pibwdggen.cc
===================================================================
--- trunk/SophyaPI/PI/pibwdggen.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pibwdggen.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <stdio.h>
 
+#include "sopnamsp.h"
 #include "pibwdggen.h"
 #include "pidrawer.h"
Index: trunk/SophyaPI/PI/pibwdgmac.cc
===================================================================
--- trunk/SophyaPI/PI/pibwdgmac.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pibwdgmac.cc	(revision 2615)
@@ -2,4 +2,5 @@
 
 #include <LString.h>
+#include "sopnamsp.h"
 #include "pibwdgmac.h"
 #include "piupdattachment.h"
Index: trunk/SophyaPI/PI/pibwdgx.cc
===================================================================
--- trunk/SophyaPI/PI/pibwdgx.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pibwdgx.cc	(revision 2615)
@@ -13,4 +13,5 @@
 #include <X11/CoreP.h>
 
+#include "sopnamsp.h"
 #include "pixtbaseP.h"
 #include "pixtbase.h"
Index: trunk/SophyaPI/PI/picmap.cc
===================================================================
--- trunk/SophyaPI/PI/picmap.cc	(revision 2613)
+++ trunk/SophyaPI/PI/picmap.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "picmap.h"
 #include <iostream>
Index: trunk/SophyaPI/PI/picmapgen.cc
===================================================================
--- trunk/SophyaPI/PI/picmapgen.cc	(revision 2613)
+++ trunk/SophyaPI/PI/picmapgen.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "picmapgen.h"
 #include <list>
Index: trunk/SophyaPI/PI/picmapmac.cc
===================================================================
--- trunk/SophyaPI/PI/picmapmac.cc	(revision 2613)
+++ trunk/SophyaPI/PI/picmapmac.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "picmapmac.h"
 #include <UDebugging.h>
Index: trunk/SophyaPI/PI/picmapview.cc
===================================================================
--- trunk/SophyaPI/PI/picmapview.cc	(revision 2613)
+++ trunk/SophyaPI/PI/picmapview.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "picmapview.h"
 #include <math.h>
Index: trunk/SophyaPI/PI/picmapx.cc
===================================================================
--- trunk/SophyaPI/PI/picmapx.cc	(revision 2613)
+++ trunk/SophyaPI/PI/picmapx.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <X11/Xatom.h>
 
+#include "sopnamsp.h"
 #include "piwdgx.h"
 #include "picmapx.h"
Index: trunk/SophyaPI/PI/picons.cc
===================================================================
--- trunk/SophyaPI/PI/picons.cc	(revision 2613)
+++ trunk/SophyaPI/PI/picons.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pisysdep.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PI/picontainergen.cc
===================================================================
--- trunk/SophyaPI/PI/picontainergen.cc	(revision 2613)
+++ trunk/SophyaPI/PI/picontainergen.cc	(revision 2615)
@@ -7,4 +7,5 @@
 #include <stdio.h>
 
+#include "sopnamsp.h"
 #include "picontainergen.h"
 
Index: trunk/SophyaPI/PI/picontainermac.cc
===================================================================
--- trunk/SophyaPI/PI/picontainermac.cc	(revision 2613)
+++ trunk/SophyaPI/PI/picontainermac.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "picontainermac.h"
 
Index: trunk/SophyaPI/PI/picontainerx.cc
===================================================================
--- trunk/SophyaPI/PI/picontainerx.cc	(revision 2613)
+++ trunk/SophyaPI/PI/picontainerx.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "picontainerx.h"
 
Index: trunk/SophyaPI/PI/pidrawer.cc
===================================================================
--- trunk/SophyaPI/PI/pidrawer.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pidrawer.cc	(revision 2615)
@@ -4,4 +4,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <strings.h>
Index: trunk/SophyaPI/PI/pidrawwin.cc
===================================================================
--- trunk/SophyaPI/PI/pidrawwin.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pidrawwin.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pidrawwin.h"
 
Index: trunk/SophyaPI/PI/pidrwtools.cc
===================================================================
--- trunk/SophyaPI/PI/pidrwtools.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pidrwtools.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <stdlib.h>
 
+#include "sopnamsp.h"
 #include "pidrwtools.h"
 #include <iostream>
Index: trunk/SophyaPI/PI/pieldrw.cc
===================================================================
--- trunk/SophyaPI/PI/pieldrw.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pieldrw.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // (C) LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <strings.h>
Index: trunk/SophyaPI/PI/pierrdisp.cc
===================================================================
--- trunk/SophyaPI/PI/pierrdisp.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pierrdisp.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pierrdisp.h"
 #include "utils.h"
Index: trunk/SophyaPI/PI/pievthandler.cc
===================================================================
--- trunk/SophyaPI/PI/pievthandler.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pievthandler.cc	(revision 2615)
@@ -4,4 +4,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "pievthandler.h"
 
Index: trunk/SophyaPI/PI/pifilechogen.cc
===================================================================
--- trunk/SophyaPI/PI/pifilechogen.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pifilechogen.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "pifilechogen.h"
 
Index: trunk/SophyaPI/PI/pifilechomac.cc
===================================================================
--- trunk/SophyaPI/PI/pifilechomac.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pifilechomac.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pifilechomac.h"
 
Index: trunk/SophyaPI/PI/pifilechox.cc
===================================================================
--- trunk/SophyaPI/PI/pifilechox.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pifilechox.cc	(revision 2615)
@@ -2,4 +2,5 @@
 #include<string.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 
Index: trunk/SophyaPI/PI/pifontgen.cc
===================================================================
--- trunk/SophyaPI/PI/pifontgen.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pifontgen.cc	(revision 2615)
@@ -4,4 +4,5 @@
 // Classe generique de gestion de fonte - (Ne peut etre instancie)
 
+#include "sopnamsp.h"
 #include "pigraphgen.h"
 
Index: trunk/SophyaPI/PI/pifontmac.cc
===================================================================
--- trunk/SophyaPI/PI/pifontmac.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pifontmac.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <stdio.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 #include "pifontmac.h"
Index: trunk/SophyaPI/PI/pifontx.cc
===================================================================
--- trunk/SophyaPI/PI/pifontx.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pifontx.cc	(revision 2615)
@@ -8,4 +8,5 @@
 #include <X11/StringDefs.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 #include "pifontx.h"
Index: trunk/SophyaPI/PI/pigraph3d.cc
===================================================================
--- trunk/SophyaPI/PI/pigraph3d.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pigraph3d.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <stdio.h>
 #include <math.h>
+#include "sopnamsp.h"
 #include "pigraph3d.h"
 
Index: trunk/SophyaPI/PI/pigraphgen.cc
===================================================================
--- trunk/SophyaPI/PI/pigraphgen.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pigraphgen.cc	(revision 2615)
@@ -5,4 +5,5 @@
 // Classe generique de trace graphique de base (Ne peut etre instancie)
 
+#include "sopnamsp.h"
 #include "pigraphgen.h"
 #include <math.h>
Index: trunk/SophyaPI/PI/pigraphmac.cc
===================================================================
--- trunk/SophyaPI/PI/pigraphmac.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pigraphmac.cc	(revision 2615)
@@ -1,4 +1,5 @@
 #include <stdio.h>
 
+#include "sopnamsp.h"
 #include "pigraphmac.h"
 #include "UDrawingState.h"
Index: trunk/SophyaPI/PI/pigraphps.cc
===================================================================
--- trunk/SophyaPI/PI/pigraphps.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pigraphps.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <stdio.h>
 
+#include "sopnamsp.h"
 #include "pigraphps.h"
 
Index: trunk/SophyaPI/PI/pigraphuc.cc
===================================================================
--- trunk/SophyaPI/PI/pigraphuc.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pigraphuc.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <iostream>
Index: trunk/SophyaPI/PI/pigraphx.cc
===================================================================
--- trunk/SophyaPI/PI/pigraphx.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pigraphx.cc	(revision 2615)
@@ -10,4 +10,5 @@
 #include <X11/Xutil.h>
 
+#include "sopnamsp.h"
 #include "pigraphx.h"
 
Index: trunk/SophyaPI/PI/pigratt.cc
===================================================================
--- trunk/SophyaPI/PI/pigratt.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pigratt.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // (C) LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "pigratt.h"
 #include <ctype.h>
Index: trunk/SophyaPI/PI/pigrcoord.cc
===================================================================
--- trunk/SophyaPI/PI/pigrcoord.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pigrcoord.cc	(revision 2615)
@@ -4,4 +4,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "pigrcoord.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PI/piimage.cc
===================================================================
--- trunk/SophyaPI/PI/piimage.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piimage.cc	(revision 2615)
@@ -5,4 +5,5 @@
 
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PI/piimgtools.cc
===================================================================
--- trunk/SophyaPI/PI/piimgtools.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piimgtools.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <stdlib.h>
 
+#include "sopnamsp.h"
 #include "piimgtools.h"
 #include "piimage.h"
Index: trunk/SophyaPI/PI/pilineatt.cc
===================================================================
--- trunk/SophyaPI/PI/pilineatt.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pilineatt.cc	(revision 2615)
@@ -4,4 +4,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "pilineatt.h"
 #include <math.h>
Index: trunk/SophyaPI/PI/pilistgen.cc
===================================================================
--- trunk/SophyaPI/PI/pilistgen.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pilistgen.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "pilistgen.h"
 
Index: trunk/SophyaPI/PI/pilistmac.cc
===================================================================
--- trunk/SophyaPI/PI/pilistmac.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pilistmac.cc	(revision 2615)
@@ -1,4 +1,5 @@
 #include<stdio.h>
 
+#include "sopnamsp.h"
 #include "pilistmac.h"
 
Index: trunk/SophyaPI/PI/pilistx.cc
===================================================================
--- trunk/SophyaPI/PI/pilistx.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pilistx.cc	(revision 2615)
@@ -1,4 +1,5 @@
 #include<stdio.h>
 
+#include "sopnamsp.h"
 #include "pilistx.h"
 #include "picontainerx.h"
Index: trunk/SophyaPI/PI/pimenubargen.cc
===================================================================
--- trunk/SophyaPI/PI/pimenubargen.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pimenubargen.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "pimenubargen.h"
 
Index: trunk/SophyaPI/PI/pimenubarmac.cc
===================================================================
--- trunk/SophyaPI/PI/pimenubarmac.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pimenubarmac.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pimenubarmac.h"
 #include "pippmenubar.h"
Index: trunk/SophyaPI/PI/pimenubarx.cc
===================================================================
--- trunk/SophyaPI/PI/pimenubarx.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pimenubarx.cc	(revision 2615)
@@ -1,4 +1,5 @@
 #include<stdio.h>
 
+#include "sopnamsp.h"
 #include "pimenubarx.h"
 #include PIAPP_H
Index: trunk/SophyaPI/PI/pimenugen.cc
===================================================================
--- trunk/SophyaPI/PI/pimenugen.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pimenugen.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "pimenugen.h"
 
Index: trunk/SophyaPI/PI/pimenumac.cc
===================================================================
--- trunk/SophyaPI/PI/pimenumac.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pimenumac.cc	(revision 2615)
@@ -1,3 +1,4 @@
 #include <LString.h>
+#include "sopnamsp.h"
 #include "pimenumac.h"
 #include <algorithm>
Index: trunk/SophyaPI/PI/pimenux.cc
===================================================================
--- trunk/SophyaPI/PI/pimenux.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pimenux.cc	(revision 2615)
@@ -2,4 +2,5 @@
 #include<iostream>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 #include PIMENUBAR_H
Index: trunk/SophyaPI/PI/pimsghandler.cc
===================================================================
--- trunk/SophyaPI/PI/pimsghandler.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pimsghandler.cc	(revision 2615)
@@ -4,4 +4,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "pimsghandler.h"
 
Index: trunk/SophyaPI/PI/pioptmenugen.cc
===================================================================
--- trunk/SophyaPI/PI/pioptmenugen.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pioptmenugen.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "pioptmenugen.h"
 
Index: trunk/SophyaPI/PI/pioptmenumac.cc
===================================================================
--- trunk/SophyaPI/PI/pioptmenumac.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pioptmenumac.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pioptmenumac.h"
 #include "pippoptmenu.h"
Index: trunk/SophyaPI/PI/pioptmenux.cc
===================================================================
--- trunk/SophyaPI/PI/pioptmenux.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pioptmenux.cc	(revision 2615)
@@ -4,4 +4,5 @@
 #include <Xm/PushB.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 #include "pioptmenux.h"
Index: trunk/SophyaPI/PI/piperiodmac.cc
===================================================================
--- trunk/SophyaPI/PI/piperiodmac.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piperiodmac.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "piperiodmac.h"
 
Index: trunk/SophyaPI/PI/piperiodx.cc
===================================================================
--- trunk/SophyaPI/PI/piperiodx.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piperiodx.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // LAL (Orsay) / IN2P3-CNRS    DAPNIA/CEA (Saclay)      
 
+#include "sopnamsp.h"
 #include "piwdgx.h"
 #include "piperiodx.h"
Index: trunk/SophyaPI/PI/pipixmapgen.cc
===================================================================
--- trunk/SophyaPI/PI/pipixmapgen.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pipixmapgen.cc	(revision 2615)
@@ -6,4 +6,5 @@
 #include <stdio.h>
 
+#include "sopnamsp.h"
 #include "pipixmapgen.h"
 
Index: trunk/SophyaPI/PI/pipixmapmac.cc
===================================================================
--- trunk/SophyaPI/PI/pipixmapmac.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pipixmapmac.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pipixmapmac.h"
 
Index: trunk/SophyaPI/PI/pipixmapx.cc
===================================================================
--- trunk/SophyaPI/PI/pipixmapx.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pipixmapx.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <X11/Xatom.h>
 
+#include "sopnamsp.h"
 #include "pipixmapx.h"
 
Index: trunk/SophyaPI/PI/pippapplmac.cc
===================================================================
--- trunk/SophyaPI/PI/pippapplmac.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pippapplmac.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pippapplmac.h"
 #include "piupdattachment.h"
Index: trunk/SophyaPI/PI/pipplist.cc
===================================================================
--- trunk/SophyaPI/PI/pipplist.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pipplist.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pipplist.h"
 #include <LTableMonoGeometry.h>
Index: trunk/SophyaPI/PI/pippmenubar.cc
===================================================================
--- trunk/SophyaPI/PI/pippmenubar.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pippmenubar.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pippmenubar.h"
 
Index: trunk/SophyaPI/PI/pippoptmenu.cc
===================================================================
--- trunk/SophyaPI/PI/pippoptmenu.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pippoptmenu.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pippoptmenu.h"
 
Index: trunk/SophyaPI/PI/pippviewadapter.cc
===================================================================
--- trunk/SophyaPI/PI/pippviewadapter.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pippviewadapter.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pippviewadapter.h"
 #include "piupdattachment.h"
Index: trunk/SophyaPI/PI/pippwindowmac.cc
===================================================================
--- trunk/SophyaPI/PI/pippwindowmac.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pippwindowmac.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pippwindowmac.h"
 
Index: trunk/SophyaPI/PI/piscdrawwdg.cc
===================================================================
--- trunk/SophyaPI/PI/piscdrawwdg.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piscdrawwdg.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <math.h>
Index: trunk/SophyaPI/PI/pistdwdggen.cc
===================================================================
--- trunk/SophyaPI/PI/pistdwdggen.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pistdwdggen.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pistdwdggen.h"
 
Index: trunk/SophyaPI/PI/pistdwdgmac.cc
===================================================================
--- trunk/SophyaPI/PI/pistdwdgmac.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pistdwdgmac.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "pistdwdgmac.h"
 #include <LString.h>
Index: trunk/SophyaPI/PI/pistdwdgx.cc
===================================================================
--- trunk/SophyaPI/PI/pistdwdgx.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pistdwdgx.cc	(revision 2615)
@@ -2,4 +2,5 @@
 #include<string.h>
 
+#include "sopnamsp.h"
 #include "pisysdep.h"
 #include PISTDWDG_H
Index: trunk/SophyaPI/PI/pistzwin.cc
===================================================================
--- trunk/SophyaPI/PI/pistzwin.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pistzwin.cc	(revision 2615)
@@ -6,4 +6,5 @@
 #include <stdio.h>
 
+#include "sopnamsp.h"
 #include "pistzwin.h"
 #include "psfile.h"
Index: trunk/SophyaPI/PI/pisurfdr.cc
===================================================================
--- trunk/SophyaPI/PI/pisurfdr.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pisurfdr.cc	(revision 2615)
@@ -4,4 +4,5 @@
 
 #include <math.h>
+#include "sopnamsp.h"
 #include "pisurfdr.h"
 
Index: trunk/SophyaPI/PI/pitherm.cc
===================================================================
--- trunk/SophyaPI/PI/pitherm.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pitherm.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "pitherm.h"
 
Index: trunk/SophyaPI/PI/pitxtdrw.cc
===================================================================
--- trunk/SophyaPI/PI/pitxtdrw.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pitxtdrw.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // (C) LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PI/piup.cc
===================================================================
--- trunk/SophyaPI/PI/piup.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piup.cc	(revision 2615)
@@ -3,4 +3,5 @@
 #include <string.h>
 
+#include "sopnamsp.h"
 #include "ctimer.h"
 #include "imageop.h"
Index: trunk/SophyaPI/PI/piup_def.cc
===================================================================
--- trunk/SophyaPI/PI/piup_def.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piup_def.cc	(revision 2615)
@@ -3,4 +3,5 @@
 #include <string.h>
 
+#include "sopnamsp.h"
 #include "ctimer.h"
 #include "imageop.h"
Index: trunk/SophyaPI/PI/piupdattachment.cc
===================================================================
--- trunk/SophyaPI/PI/piupdattachment.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piupdattachment.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "piupdattachment.h"
 //const MessageT	msg_MouseUp			= 819;
Index: trunk/SophyaPI/PI/piwdggen.cc
===================================================================
--- trunk/SophyaPI/PI/piwdggen.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piwdggen.cc	(revision 2615)
@@ -8,4 +8,5 @@
 #include <stdio.h>
 
+#include "sopnamsp.h"
 #include "piwdggen.h"
 #include "picontainergen.h"
Index: trunk/SophyaPI/PI/piwdgmac.cc
===================================================================
--- trunk/SophyaPI/PI/piwdgmac.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piwdgmac.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "piwdgmac.h"
 #include "pisysdep.h"
Index: trunk/SophyaPI/PI/piwdgx.cc
===================================================================
--- trunk/SophyaPI/PI/piwdgx.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piwdgx.cc	(revision 2615)
@@ -14,4 +14,5 @@
 #include <Xm/Form.h>     // Idem 
 
+#include "sopnamsp.h"
 #include "piwdgx.h"
 #include "picontainerx.h"
Index: trunk/SophyaPI/PI/piwindowgen.cc
===================================================================
--- trunk/SophyaPI/PI/piwindowgen.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piwindowgen.cc	(revision 2615)
@@ -5,4 +5,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "piwindowgen.h"
 #include "psfile.h"
Index: trunk/SophyaPI/PI/piwindowmac.cc
===================================================================
--- trunk/SophyaPI/PI/piwindowmac.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piwindowmac.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "piwindowmac.h"
 #include "pippwindowmac.h"
Index: trunk/SophyaPI/PI/piwindowx.cc
===================================================================
--- trunk/SophyaPI/PI/piwindowx.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piwindowx.cc	(revision 2615)
@@ -1,4 +1,5 @@
 #include <stdio.h>
 
+#include "sopnamsp.h"
 #include "piwindowx.h"
 
Index: trunk/SophyaPI/PI/pixtbase.cc
===================================================================
--- trunk/SophyaPI/PI/pixtbase.cc	(revision 2613)
+++ trunk/SophyaPI/PI/pixtbase.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PI/piyfxdrw.cc
===================================================================
--- trunk/SophyaPI/PI/piyfxdrw.cc	(revision 2613)
+++ trunk/SophyaPI/PI/piyfxdrw.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // (C) LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PI/psfile.cc
===================================================================
--- trunk/SophyaPI/PI/psfile.cc	(revision 2613)
+++ trunk/SophyaPI/PI/psfile.cc	(revision 2615)
@@ -19,4 +19,5 @@
 #include <time.h>
 
+#include "sopnamsp.h"
 #include "psfile.h"
 
Index: trunk/SophyaPI/PIGcont/picntools.cc
===================================================================
--- trunk/SophyaPI/PIGcont/picntools.cc	(revision 2613)
+++ trunk/SophyaPI/PIGcont/picntools.cc	(revision 2615)
@@ -5,4 +5,5 @@
 // #include <stdlib.h>
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <string>
Index: trunk/SophyaPI/PIGcont/pigncont.cc
===================================================================
--- trunk/SophyaPI/PIGcont/pigncont.cc	(revision 2613)
+++ trunk/SophyaPI/PIGcont/pigncont.cc	(revision 2615)
@@ -5,4 +5,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaPI/PIext/basexecut.cc
===================================================================
--- trunk/SophyaPI/PIext/basexecut.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/basexecut.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "piacmd.h"
 
Index: trunk/SophyaPI/PIext/contmodex.cc
===================================================================
--- trunk/SophyaPI/PIext/contmodex.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/contmodex.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "contmodex.h"
 
Index: trunk/SophyaPI/PIext/cxxexecutor.cc
===================================================================
--- trunk/SophyaPI/PIext/cxxexecutor.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/cxxexecutor.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "cxxexecutor.h"
 
Index: trunk/SophyaPI/PIext/cxxexecwin.cc
===================================================================
--- trunk/SophyaPI/PIext/cxxexecwin.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/cxxexecwin.cc	(revision 2615)
@@ -4,4 +4,5 @@
 //                           R. Ansari  C.Magneville 10/2000
 
+#include "sopnamsp.h"
 #include "cxxexecutor.h"
 #include "cxxexecwin.h"
Index: trunk/SophyaPI/PIext/flowmodex.cc
===================================================================
--- trunk/SophyaPI/PIext/flowmodex.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/flowmodex.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "flowmodex.h"
 #include "pi2dvec.h"
Index: trunk/SophyaPI/PIext/nobjmgr.cc
===================================================================
--- trunk/SophyaPI/PIext/nobjmgr.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/nobjmgr.cc	(revision 2615)
@@ -9,4 +9,5 @@
 #include <map>
 
+#include "sopnamsp.h"
 #include "strutil.h"
 #include "datatypes.h"
Index: trunk/SophyaPI/PIext/nomgadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomgadapter.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/nomgadapter.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PIext/nomgfdadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomgfdadapter.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/nomgfdadapter.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PIext/nomhistadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomhistadapter.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/nomhistadapter.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PIext/nomimagadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomimagadapter.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/nomimagadapter.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PIext/nommatvecadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nommatvecadapter.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/nommatvecadapter.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PIext/nomskymapadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomskymapadapter.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/nomskymapadapter.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PIext/nomspecrespadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomspecrespadapter.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/nomspecrespadapter.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PIext/nomstladapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomstladapter.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/nomstladapter.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PIext/nomtarradapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomtarradapter.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/nomtarradapter.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PIext/nomtmatvecadapter.cc
===================================================================
--- trunk/SophyaPI/PIext/nomtmatvecadapter.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/nomtmatvecadapter.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PIext/pawexecut.cc
===================================================================
--- trunk/SophyaPI/PIext/pawexecut.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/pawexecut.cc	(revision 2615)
@@ -5,4 +5,5 @@
 #include <typeinfo>
 
+#include "sopnamsp.h"
 #include "strutil.h"
 #include "histos.h"
Index: trunk/SophyaPI/PIext/pi2dvec.cc
===================================================================
--- trunk/SophyaPI/PIext/pi2dvec.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/pi2dvec.cc	(revision 2615)
@@ -6,4 +6,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaPI/PIext/piacmd.cc
===================================================================
--- trunk/SophyaPI/PIext/piacmd.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/piacmd.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "piacmd.h"
 #include <stdio.h>
Index: trunk/SophyaPI/PIext/piafitting.cc
===================================================================
--- trunk/SophyaPI/PIext/piafitting.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/piafitting.cc	(revision 2615)
@@ -12,4 +12,5 @@
 #include <typeinfo>
 
+#include "sopnamsp.h"
 #include "strutil.h"
 #include "nbtri.h"
Index: trunk/SophyaPI/PIext/pigfd1.cc
===================================================================
--- trunk/SophyaPI/PIext/pigfd1.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/pigfd1.cc	(revision 2615)
@@ -2,4 +2,5 @@
 
 #include <stdio.h>
+#include "sopnamsp.h"
 #include "pigfd1.h"
  
Index: trunk/SophyaPI/PIext/pigfd2.cc
===================================================================
--- trunk/SophyaPI/PIext/pigfd2.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/pigfd2.cc	(revision 2615)
@@ -2,4 +2,5 @@
 
 #include <stdio.h>
+#include "sopnamsp.h"
 #include "pigfd2.h"
 
Index: trunk/SophyaPI/PIext/pihisto.cc
===================================================================
--- trunk/SophyaPI/PIext/pihisto.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/pihisto.cc	(revision 2615)
@@ -8,4 +8,5 @@
 #include <typeinfo>
 
+#include "sopnamsp.h"
 #include "pihisto.h"
 #include "hisprof.h"
Index: trunk/SophyaPI/PIext/pihisto2d.cc
===================================================================
--- trunk/SophyaPI/PIext/pihisto2d.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/pihisto2d.cc	(revision 2615)
@@ -3,4 +3,5 @@
 #include <pisysdep.h>
 #include PIAPP_H
+#include "sopnamsp.h"
 #include "pihisto2d.h"
 #include "nbrandom.h"
Index: trunk/SophyaPI/PIext/piinit.cc
===================================================================
--- trunk/SophyaPI/PIext/piinit.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/piinit.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include "piinit.h"
Index: trunk/SophyaPI/PIext/pintup3d.cc
===================================================================
--- trunk/SophyaPI/PIext/pintup3d.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/pintup3d.cc	(revision 2615)
@@ -4,4 +4,5 @@
 
 #include <stdio.h>
+#include "sopnamsp.h"
 #include "pintup3d.h"
 
Index: trunk/SophyaPI/PIext/pintuple.cc
===================================================================
--- trunk/SophyaPI/PIext/pintuple.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/pintuple.cc	(revision 2615)
@@ -7,4 +7,5 @@
 #include <iostream>
 #include <math.h>
+#include "sopnamsp.h"
 #include "pintuple.h"
 
Index: trunk/SophyaPI/PIext/pipodrw.cc
===================================================================
--- trunk/SophyaPI/PIext/pipodrw.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/pipodrw.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "pipodrw.h"
 #include "generalfit.h"
Index: trunk/SophyaPI/PIext/pisiadw.cc
===================================================================
--- trunk/SophyaPI/PIext/pisiadw.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/pisiadw.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PIext/pistdimgapp.cc
===================================================================
--- trunk/SophyaPI/PIext/pistdimgapp.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/pistdimgapp.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/PIext/pistlist.cc
===================================================================
--- trunk/SophyaPI/PIext/pistlist.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/pistlist.cc	(revision 2615)
@@ -3,4 +3,5 @@
 
 #include <stdio.h>
+#include "sopnamsp.h"
 #include "pistlist.h"
 
Index: trunk/SophyaPI/PIext/pitvmaad.cc
===================================================================
--- trunk/SophyaPI/PIext/pitvmaad.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/pitvmaad.cc	(revision 2615)
@@ -3,4 +3,5 @@
 // LAL (Orsay) / IN2P3-CNRS  DAPNIA/SPP (Saclay) / CEA
 
+#include "sopnamsp.h"
 #include "pitvmaad.h"
 #include <math.h>
Index: trunk/SophyaPI/PIext/servnobjm.cc
===================================================================
--- trunk/SophyaPI/PIext/servnobjm.cc	(revision 2613)
+++ trunk/SophyaPI/PIext/servnobjm.cc	(revision 2615)
@@ -9,4 +9,5 @@
 #include <map>
 
+#include "sopnamsp.h"
 #include "strutil.h"
 
Index: trunk/SophyaPI/ProgPI/fitsbtadapter.cc
===================================================================
--- trunk/SophyaPI/ProgPI/fitsbtadapter.cc	(revision 2613)
+++ trunk/SophyaPI/ProgPI/fitsbtadapter.cc	(revision 2615)
@@ -1,3 +1,4 @@
 /* Interface Fits BINARY/ASCII Table     cmv 21/05/2001 */
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdlib.h>
Index: trunk/SophyaPI/ProgPI/piapp.cc
===================================================================
--- trunk/SophyaPI/ProgPI/piapp.cc	(revision 2613)
+++ trunk/SophyaPI/ProgPI/piapp.cc	(revision 2615)
@@ -4,4 +4,5 @@
 #include <iostream>
 
+#include "sopnamsp.h"
 #include "pistdimgapp.h"
 #include "piacmd.h"
Index: trunk/SophyaPI/ProgPI/skymapmodule.cc
===================================================================
--- trunk/SophyaPI/ProgPI/skymapmodule.cc	(revision 2613)
+++ trunk/SophyaPI/ProgPI/skymapmodule.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaPI/ProgPI/sopiamodule.cc
===================================================================
--- trunk/SophyaPI/ProgPI/sopiamodule.cc	(revision 2613)
+++ trunk/SophyaPI/ProgPI/sopiamodule.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
Index: trunk/SophyaPI/ProgPI/w2ps.cc
===================================================================
--- trunk/SophyaPI/ProgPI/w2ps.cc	(revision 2613)
+++ trunk/SophyaPI/ProgPI/w2ps.cc	(revision 2615)
@@ -1,2 +1,3 @@
+#include "sopnamsp.h"
 #include "machdefs.h"
 #include <stdio.h>
